/*
 * Copyright 2015 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.guvnor.common.services.project.backend.server;

import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.inject.Alternative;
import javax.enterprise.inject.Produces;

import org.guvnor.common.services.project.model.Module;
import org.guvnor.common.services.project.project.ModuleFactory;
import org.guvnor.common.services.project.service.ModuleService;

import static org.mockito.Mockito.*;

@ApplicationScoped
public class TestProjectService {

    @Produces
    @Alternative
    public ModuleService<MockModule> moduleService() {
        return new ModuleServiceMock();
    }

    @Produces
    @Alternative
    public ModuleFactory<Module> projectProjectFactory() {
        return mock(ModuleFactory.class);
    }
}
